Subject: Re: linux-next: build failure after merge of the final tree (input tree related)

From: Dmitry Torokhov <[email-masked]>
Date: Tue, 23 Mar 2010 00:31:10 -0700

On Tue, Mar 23, 2010 at 05:54:56PM +1100, Stephen Rothwell wrote:
> Hi Dmitry,
> 
> After merging the final tree, today's linux-next build (powerpc
> ppc44x_defconfig) failed like this:
> 
> drivers/built-in.o: In function `sysrq_filter':
> sysrq.c:(.text+0x224da): undefined reference to `fg_console'
> sysrq.c:(.text+0x224e2): undefined reference to `fg_console'
> sysrq.c:(.text+0x224f2): undefined reference to `vc_cons'
> sysrq.c:(.text+0x224f6): undefined reference to `vc_cons'
> drivers/built-in.o: In function `sysrq_disconnect':
> sysrq.c:(.text+0x226e4): undefined reference to `input_close_device'
> sysrq.c:(.text+0x226ec): undefined reference to `input_unregister_handle'
> drivers/built-in.o: In function `sysrq_connect':
> sysrq.c:(.text+0x22780): undefined reference to `input_register_handle'
> sysrq.c:(.text+0x22790): undefined reference to `input_open_device'
> sysrq.c:(.text+0x227f0): undefined reference to `input_unregister_handle'
> drivers/built-in.o: In function `sysrq_toggle_support':
> (.text+0x22b6c): undefined reference to `input_unregister_handler'
> drivers/built-in.o: In function `sysrq_toggle_support':
> (.text+0x22bac): undefined reference to `input_register_handler'
> drivers/built-in.o: In function `sysrq_init':
> sysrq.c:(.init.text+0x18d4): undefined reference to `input_register_handler'
> 
> Caused by commit edc6e384f9d96e54a6d03068d3b03fa5b56b6449 ("Input:
> implement SysRq as a separate input handler").  This build does not have
> CONFIG_HW_CONSOLE or CONFIG_INPUT set, but does have CONFIG_MAGIC_SYSRQ
> set to 'y'.
>

Sorry about this, I did not expect Sysrq being available without input.
I will try to fix up the tree in time for your tomorrow fetch.

-- 
Dmitry